Show / Hide Table of Contents

# Class OpenIddictEntityFrameworkCoreAuthorizationConfiguration<TAuthorization, TApplication, TToken, TKey>

Defines a relational mapping for the Authorization entity.

##### Inheritance

System.Object
OpenIddictEntityFrameworkCoreAuthorizationConfiguration<TAuthorization, TApplication, TToken, TKey>

###### Namespace: OpenIddict.EntityFrameworkCore

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictEntityFrameworkCoreAuthorizationConfiguration<TAuthorization, TApplication, TToken, TKey> : IEntityTypeConfiguration<TAuthorization> where TAuthorization : OpenIddictEntityFrameworkCoreAuthorization<TKey, TApplication, TToken> where TApplication : OpenIddictEntityFrameworkCoreApplication<TKey, TAuthorization, TToken> where TToken : OpenIddictEntityFrameworkCoreToken<TKey, TApplication, TAuthorization> where TKey : IEquatable<TKey>

##### Type Parameters

Name | Description
--- | ---
TAuthorization | The type of the Authorization entity.
TApplication | The type of the Application entity.
TToken | The type of the Token entity.
TKey | The type of the Key entity.

### Methods

#### Configure(EntityTypeBuilder<TAuthorization>)

##### Declaration

    public void Configure(EntityTypeBuilder<TAuthorization> builder)

##### Parameters

Type | Name | Description
--- | --- | ---
EntityTypeBuilder<TAuthorization> | builder |